sspi.c File Reference

MPTCP single-subflow-per-interface path manager plugin. More...

`#include <assert.h>`
`#include <stddef.h>`
`#include <limits.h>`
`#include <netinet/in.h>`
`#include <ell/util.h>`
`#include <ell/log.h>`
`#include <ell/queue.h>`
`#include <mptcpd/network_monitor.h>`
`#include <mptcpd/path_manager.h>`
`#include <mptcpd/plugin.h>`
Include dependency graph for sspi.c:

## Classes

struct | sspi_interface_info
| Network interface information. More...
struct | sspi_new_connection_info
| Package `new_connection()` plugin operation arguments. More...
struct | sspi_nm_callback_data
| Type used to return index associated with local address. More...

## Macros

#define | SSPI_BAD_INDEX INT_MAX
| Local address to interface mapping failure value.

## Detailed Description

MPTCP single-subflow-per-interface path manager plugin.

Copyright (c) 2018-2021, Intel Corporation